maxcut.c File Reference

Most Basic Example: read graph from file, formulate the SDP relaxation of maximum cut problem, solve using DSDP, and apply randomized algorithm to generate approximate solutions. More...

Go to the source code of this file.

## Functions

int | MaxCutRandomized (SDPCone sdpcone, int nnodes)
| Apply the Goemens and Williamson randomized cut algorithm to the SDP relaxation of the max-cut problem.

## Detailed Description

Most Basic Example: read graph from file, formulate the SDP relaxation of maximum cut problem, solve using DSDP, and apply randomized algorithm to generate approximate solutions.

Definition in file maxcut.c.